> For the complete documentation index, see [llms.txt](https://docs.ritabot.gg/ritabot-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.8.md).

# V1.3.8

{% hint style="info" %}
If you need help at any point join our [**Discord Server**](https://discord.gg/mgNR64R) and someone will help you.
{% endhint %}

## Inital Release

{% code overflow="wrap" %}

```markdown
### 1.3.8-0
Date: 20/10/22
User: Qjuh
> ----------
>>> package.json
* Removed unused dependencies
* Updated to discord.js v14.6.0

>>> bot.js
* Limited Intents to only those we use/take advantage of
* Added `Reaction` and `Message` partial to handle reaction translations through `messageReactionAdd` event

>>> events.js, translate.react.js
* Moved reaction (flag) translation to the propert event, since raw event is not documented and can be changed anytime

>>> colors.js
* Fixed default color value for new EmbedBuilder setColor method

>>> global changes (many files affected)
* `PermissionFlagsBits.Administrator` is the new way for Permissions like "ADMINISTRATOR"
* `GatewayIntentBits`/`IntentsBitField` is the new `Intents`, also with PascalCase instead of SCREAMING_SNAKE_CASE
* Channeltypes are either compared with ChannelType.GuildText enum or use of `.isTextBased()`, `.isThread()` or `.isDMBased()` methods
* `MessageEmbed` renamed to `EmbedBuilder`, same for `MessageAttachment` -> `AttachmentBuilder`
* `<Guild>.me` is now `<Guild>.members.me` and can be fetched by `<Guild>.members.fetchMe()`
* Channel creation now takes the name in the options object instead of as extra parameter

>>> logger.js
* Moved WebhookClient creation to top level to not leak memory
```

{% endcode %}

## V-1

{% code overflow="wrap" %}

```markdown
### 1.3.8-1
Date: 20/10/22
User: Qjuh
> ----------
>>> choose_server.js
* Added check if server is already subscribed by another user
* Added support for more than one SUBSCRIPTION_ROLE_IDS

>>> db.js
* Added checks and other additional subscriptionAction code from dev branch

>>> translate.auto.js, translate.stop.js, translate.tasks.js,
* Fixed use of FormattingPatterns to parse IDs from User/Channnel mentions

>>> choose_server.js, helpers.js, events.js
* Added support for more than one SUBSCRIPTION_ROLE_IDS

>>> translate.react.js
* Added better cleaning of pings in reaction (flag) translation
```

{% endcode %}

## V-2

{% code overflow="wrap" %}

```markdown
### 1.3.8-2
Date: 20/10/22
User: Qjuh
> ----------
>>> events.js
* Have RITA join all active Threads on startup and when new ones get created

>>> other
* Small Bugfixes related to discord.js v14 update
```

{% endcode %}

## V-3

{% code overflow="wrap" %}

```markdown
### 1.3.8-3
Date: 21/10/22
User: Qjuh
> ----------
>>> auto.js, translate.auto.js
* Added check for `process.env.ALLOW_FORUMS`, if it's not present tasks for Forum Posts can't be created and existing tasks aren't processed

>>> send.js
* Added a custom error for empty message sends to finally find out where they come from
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.8.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
